petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatPreallocatorPreallocate

Preallocates the input matrix, optionally filling it with zeros

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPreallocatorPreallocate(Mat mat, PetscBool fill, Mat A)

### Input Parameter

| mat | - the preallocator
| fill | - fill the matrix with zeros

### Output Parameter

A -the matrix

### See Also

MATPREALLOCATOR

### Level

advanced

### Location

src/mat/impls/preallocator/matpreallocator.c

### Implementations

MatPreallocatorPreallocate_Preallocator in src/mat/impls/preallocator/matpreallocator.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages